Bug 631135 - FTBFS htmldoc-1.8.27-13.fc12: ImplicitDSOLinking
FTBFS htmldoc-1.8.27-13.fc12: ImplicitDSOLinking
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: htmldoc (Show other bugs)
14
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Goode
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-09-07 12:55 EDT by FTBFS
Modified: 2011-06-24 00:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: htmldoc-1.8.27-15.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 10:28:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (353.56 KB, text/plain)
2010-09-07 12:56 EDT, FTBFS
no flags Details
build.log (22.05 KB, text/plain)
2010-09-07 12:56 EDT, FTBFS
no flags Details
mock.log (897 bytes, text/plain)
2010-09-07 12:56 EDT, FTBFS
no flags Details
root.log (512.98 KB, text/plain)
2010-09-07 12:56 EDT, FTBFS
no flags Details
build.log (22.17 KB, text/plain)
2010-09-07 12:56 EDT, FTBFS
no flags Details
mock.log (982 bytes, text/plain)
2010-09-07 12:56 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-09-07 12:55:53 EDT
htmldoc-1.8.27-13.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 12:56:00 EDT
Created an attachment (id=444160)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 12:56:02 EDT
Created an attachment (id=444161)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 12:56:04 EDT
Created an attachment (id=444162)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 12:56:14 EDT
Created an attachment (id=444163)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 12:56:15 EDT
Created an attachment (id=444164)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 12:56:17 EDT
Created an attachment (id=444165)
mock.log

mock.log for x86_64
Comment 7 Fedora Update System 2011-06-14 08:21:22 EDT
htmldoc-1.8.27-15.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/htmldoc-1.8.27-15.fc14
Comment 8 Fedora Update System 2011-06-14 08:22:26 EDT
htmldoc-1.8.27-15.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/htmldoc-1.8.27-15.fc15
Comment 9 Fedora Update System 2011-06-15 14:37:04 EDT
Package htmldoc-1.8.27-15.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing htmldoc-1.8.27-15.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/htmldoc-1.8.27-15.fc14
then log in and leave karma (feedback).
Comment 10 Matt Domsch 2011-06-21 10:28:21 EDT
$ rpm -qpi htmldoc-1.8.27-15.fc16.src.rpm
Name        : htmldoc                      Relocations: (not relocatable)
Version     : 1.8.27                            Vendor: Fedora Project
Release     : 15.fc16                       Build Date: Tue 14 Jun 2011 06:24:12 AM CDT
Install Date: (not installed)               Build Host: x86-18.phx2.fedoraproject.org
Group       : Applications/Publishing       Source RPM: (none)
Size        : 3980690                          License: GPLv2 with exceptions
Signature   : (none)
Packager    : Fedora Project
Comment 11 Fedora Update System 2011-06-23 23:56:19 EDT
htmldoc-1.8.27-15.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-06-23 23:59:32 EDT
htmldoc-1.8.27-15.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.